Package org.eclipse.jgit.revwalk

## Class RevFlagSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<RevFlag>
    - - org.eclipse.jgit.revwalk.RevFlagSet

All Implemented Interfaces:
  `Iterable<RevFlag>`, `Collection<RevFlag>`, `Set<RevFlag>`

    public class RevFlagSet
    extends AbstractSet<RevFlag>

Multiple application level mark bits for `RevObject`s.

See Also:
  `RevFlag`

### Constructor Summary

Constructors
`RevFlagSet()` Create an empty set of flags.
`RevFlagSet​(Collection<RevFlag> s)` Create a set of flags, copied from an existing collection.
`RevFlagSet​(RevFlagSet s)` Create a set of flags, copied from an existing set.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add​(RevFlag flag)`
`boolean` `contains​(Object o)`
`boolean` `containsAll​(Collection<?> c)`
`Iterator<RevFlag>` `iterator()`
`boolean` `remove​(Object o)`
`int` `size()`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, clear, isEmpty, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`addAll, clear, isEmpty, retainAll, spliterator, toArray, toArray`

### Constructor Detail

#### RevFlagSet

    public RevFlagSet()

Create an empty set of flags.

#### RevFlagSet

    public RevFlagSet​(RevFlagSet s)

Create a set of flags, copied from an existing set.

Parameters:
  `s` - the set to copy flags from.

#### RevFlagSet

    public RevFlagSet​(Collection<RevFlag> s)

Create a set of flags, copied from an existing collection.

Parameters:
  `s` - the collection to copy flags from.

### Method Detail

#### contains

    public boolean contains​(Object o)

Specified by:
  `contains` in interface `Collection<RevFlag>`
Specified by:
  `contains` in interface `Set<RevFlag>`
Overrides:
  `contains` in class `AbstractCollection<RevFlag>`

#### containsAll

    public boolean containsAll​(Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<RevFlag>`
Specified by:
  `containsAll` in interface `Set<RevFlag>`
Overrides:
  `containsAll` in class `AbstractCollection<RevFlag>`

#### add

    public boolean add​(RevFlag flag)

Specified by:
  `add` in interface `Collection<RevFlag>`
Specified by:
  `add` in interface `Set<RevFlag>`
Overrides:
  `add` in class `AbstractCollection<RevFlag>`

#### remove

    public boolean remove​(Object o)

Specified by:
  `remove` in interface `Collection<RevFlag>`
Specified by:
  `remove` in interface `Set<RevFlag>`
Overrides:
  `remove` in class `AbstractCollection<RevFlag>`

#### iterator

    public Iterator<RevFlag> iterator()

Specified by:
  `iterator` in interface `Collection<RevFlag>`
Specified by:
  `iterator` in interface `Iterable<RevFlag>`
Specified by:
  `iterator` in interface `Set<RevFlag>`
Specified by:
  `iterator` in class `AbstractCollection<RevFlag>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<RevFlag>`
Specified by:
  `size` in interface `Set<RevFlag>`
Specified by:
  `size` in class `AbstractCollection<RevFlag>`